name: myhoangtuan
description: A new Flutter project.

# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number is used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
# In Windows, build-name is used as the major, minor, and patch parts
# of the product and file versions while build-number is used as the build suffix.
version: 1.0.0+1

environment:
  sdk: '>=2.19.0 <4.0.0'

# Dependencies specify other packages that your package needs in order to work.
# To automatically upgrade your package dependencies to the latest versions
# consider running `flutter pub upgrade --major-versions`. Alternatively,
# dependencies can be manually updated by changing the version numbers below to
# the latest version available on pub.dev. To see which dependencies have newer
# versions available, run `flutter pub outdated`.
dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  get: ^4.6.5
  flutter_native_splash: ^2.2.10
  flutter_svg: ^2.0.5
  stylish_bottom_bar: 1.0.1
  dio: ^5.1.1
  shared_preferences: ^2.0.18
  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.2
  pinput: ^2.2.31
  pull_to_refresh: ^2.0.0
  intl: ^0.17.0
  carousel_slider: ^4.2.1
  cached_network_image: ^3.2.3
  flutter_rating_bar: ^4.0.1
  firebase_messaging: ^14.6.5
  firebase_analytics: ^10.4.4
  firebase_core: ^2.15.0
  flutter_local_notifications: 13.0.0
  dropdown_search: 5.0.1
  file_picker: ^5.2.6
  image_picker: ^1.0.1
  calendar_date_picker2: ^0.4.9
  firebase_auth: ^4.7.2
  firebase_phone_auth_handler: ^1.0.8
  image_cropper: ^3.0.3
  drop_down_list: ^0.0.4
  url_launcher: ^6.1.10
  quickalert: ^1.0.1
  popover: ^0.2.8+2
  flutter_html: ^3.0.0-alpha.6
  connectivity_plus: ^4.0.1
  firebase_remote_config: ^3.0.15
  flutter_app_badger: ^1.5.0
  badges: ^3.1.1
  crypto: 3.0.2
  flutter_screenutil: 5.7.0
  webview_flutter: ^4.2.1
  webview_flutter_android: ^3.7.1
  webview_flutter_wkwebview: ^3.4.4
  persistent_bottom_nav_bar: ^5.0.2
  share_plus: ^7.0.0
  marquee: ^2.2.3
  video_player: 2.7.0
  qr_flutter: ^4.0.0
  video_compress: ^3.1.2
  flutter_linkify: ^5.0.2
  video_thumbnail: ^0.5.3
  v9_voip_sdk: ^1.0.13
  textfield_tags: ^2.0.2
  card_swiper: ^3.0.0
  web_socket_client: ^0.1.0-dev.3
  flutter_chat_ui: ^1.6.6
  background_fetch: ^1.2.0


dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_launcher_icons: ^0.11.0
  # The "flutter_lints" package below contains a set of recommended lints to
  # encourage good coding practices. The lint set provided by the package is
  # activated in the `analysis_options.yaml` file located at the root of your
  # package. See that file for information about deactivating specific lint
  # rules and activating additional ones.
  flutter_lints: ^2.0.0

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter packages.


flutter:
  uses-material-design: true
  assets:
    - assets/images/
  fonts:
    - family: SF Pro Display
      fonts:
        - asset: assets/fonts/SF-Pro-Display-Light.otf
          weight: 300
        - asset: assets/fonts/SF-Pro-Display-LightItalic.otf
          weight: 300
          style: italic
        - asset: assets/fonts/SF-Pro-Display-Regular.otf
          weight: 400
        - asset: assets/fonts/SF-Pro-Display-RegularItalic.otf
          weight: 400
          style: italic
        - asset: assets/fonts/SF-Pro-Display-Medium.otf
          weight: 500
        - asset: assets/fonts/SF-Pro-Display-MediumItalic.otf
          weight: 500
          style: italic
        - asset: assets/fonts/SF-Pro-Display-Semibold.otf
          weight: 600
        - asset: assets/fonts/SF-Pro-Display-SemiboldItalic.otf
          weight: 600
          style: italic
        - asset: assets/fonts/SF-Pro-Display-Bold.otf
          weight: 700
        - asset: assets/fonts/SF-Pro-Display-BoldItalic.otf
          weight: 700
          style: italic
        - asset: assets/fonts/SF-Pro-Display-Heavy.otf
          weight: 800
        - asset: assets/fonts/SF-Pro-Display-HeavyItalic.otf
          weight: 800
          style: italic
        - asset: assets/fonts/SF-Pro-Display-Black.otf
          weight: 900
        - asset: assets/fonts/SF-Pro-Display-BlackItalic.otf
          weight: 900
          style: italic
    - family: SF Pro Text
      fonts:
        - asset: assets/fonts/SF-Pro-Text-Light.otf
          weight: 300
        - asset: assets/fonts/SF-Pro-Text-LightItalic.otf
          weight: 300
          style: italic
        - asset: assets/fonts/SF-Pro-Text-Regular.otf
          weight: 400
        - asset: assets/fonts/SF-Pro-Text-RegularItalic.otf
          weight: 400
          style: italic
        - asset: assets/fonts/SF-Pro-Text-Medium.otf
          weight: 500
        - asset: assets/fonts/SF-Pro-Text-MediumItalic.otf
          weight: 500
          style: italic
        - asset: assets/fonts/SF-Pro-Text-Semibold.otf
          weight: 600
        - asset: assets/fonts/SF-Pro-Text-SemiboldItalic.otf
          weight: 600
          style: italic
        - asset: assets/fonts/SF-Pro-Text-Bold.otf
          weight: 700
        - asset: assets/fonts/SF-Pro-Text-BoldItalic.otf
          weight: 700
          style: italic
        - asset: assets/fonts/SF-Pro-Text-Heavy.otf
          weight: 800
        - asset: assets/fonts/SF-Pro-Text-HeavyItalic.otf
          weight: 800
          style: italic
        - asset: assets/fonts/SF-Pro-Text-Black.otf
          weight: 900
        - asset: assets/fonts/SF-Pro-Text-BlackItalic.otf
          weight: 900
          style: italic
